import { InobyModule } from "@lib/inoby-module";
import * as $ from "jquery";

class NavigationComponent extends InobyModule {
  public run() {
    $(".tabs-filter .tab-filter").on("click", function () {
      const tabId = "#" + this.id;
      $(this).siblings(".tab-filter").removeClass("active");
      $(this).addClass("active");
      $(this).parent().siblings(".tabs-content").find(".tab-content").removeClass("active");
      $(this).parent().siblings(".tabs-content").find(tabId).addClass("active");
    });
  }
}

new NavigationComponent().runOnReady();
